What I have managed to do so far:
Sub CATMain()
Dim documents1 As Documents
Set documents1 = CATIA.Documents
Set sel = CATIA.ActiveDocument.Selection
Set selFace = sel.Item(1).Value 'Preselect the face
Dim partDocument1 As PartDocument
Set partDocument1 =...
I am trying to extract a face from a part in an assembly without doing any changes to the original part. Manually, the workflow will look like this.
1. Activate the part where I want the extract
2. Select Create Datum option
3. Pre-Select the Face I am trying to extract
3. Create Extract...
Hello,
I have created a few applications for CATIA using C# and CATVBAs. But currently we are looking for an automated testing of these applications as we spend quite a long time in manually testing these Apps. These apps also have UI elements and requires user inputs time to time.
Can you...
I am trying to generate adaptive sweep using API but currently, I am unable to find a solution using VBA or CAA. I am using V5R20. I also checked using KWA as well, but no help. Can you please let me know if there is a way to Add and control Adaptive sweep?
I have currently developed a CATIA library using C#. This C# dll is referenced in VBA, and used to run some functions.
I also have designed some userforms in the library.
The current issue that I am facing is when I use ShowDialog() method on the UI, I am unable to use Selection methods like...
I have activated the commands and Workbench Statistics. But the information does not contain the document details like Document Name.
Is there a way to log this info?
This is what I have activated...
I am currently developing an application in CAA and I am unable to access the Tables in a drawing or create new one.
Any idea what the interface and Framework I am supposed to use?